| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ParticleVisualData Class Reference
Core » Effects

Abstract class containing any additional data required to be associated with a particle to perform the required rendering. More...

`#include <OgreParticle.h>`

Inheritance diagram for Ogre::ParticleVisualData:
[legend]

## Public Member Functions
| ParticleVisualData ()
virtual | ~ParticleVisualData ()

## Detailed Description

Abstract class containing any additional data required to be associated with a particle to perform the required rendering.

Remarks
  Because you can specialise the way that particles are rendered by supplying custom ParticleSystemRenderer classes, you might well need some additional data for your custom rendering routine which is not held on the default particle class. If that's the case, then you should define a subclass of this class, and construct it when asked in your custom ParticleSystemRenderer class.

## Constructor & Destructor Documentation

## ◆ ParticleVisualData()

Ogre::ParticleVisualData::ParticleVisualData | ( |  | ) |
| inline

## ◆ ~ParticleVisualData()

virtual Ogre::ParticleVisualData::~ParticleVisualData | ( |  | ) |
| inline virtual

The documentation for this class was generated from the following file:

- OgreParticle.h